// A.scad

use <geodesic_sphere.scad>
use <AuraCougar.scad>

k = 68; // scale factor.  Radius in mm
shellThick = 10;

phi = k*(1 + sqrt(5))/2;

Z = [0,0,0];
A = [0, k, phi];  // index 1
B = [0,-k, phi];
C = [0,-k,-phi];
D = [0, k,-phi];
E = [phi, 0, k];
F = [-phi, 0, k];
G = [-phi, 0,-k];
H = [phi, 0,-k];
I = [k,phi, 0];
J = [-k,phi, 0];
K = [-k,-phi, 0];
L = [k,-phi, 0];



// vector going through centroid of surface element A,B,E.
vectCentroid = A+B+E;
echo("vectCentroid=",vectCentroid);
angleCentroid = atan2(vectCentroid[2],vectCentroid[0]);
echo("angleCentroid=",angleCentroid);


// define the three sided pyramid with triangle [A,B,E], index = 1,2,5,
// and point at the origin,  Z, point 0
points = [Z,A,B,C,D,E,F,G,H,I,J,K,L];
faces = [[1,2,0],[5,1,0],[2,5,0],[1,5,2]]; // clock wise ordering of points from outside.

module domeSegment()
{
  intersection()  // select section of spherical shell.
  {
    rotate([0,(angleCentroid-90), 0]) // rotate to align centroid with Z axis.
    polyhedron(points, faces, convexity = 10);  // draw inverted triangle pyramid
    $fn = 50;
    difference()   // draw spherical shell
    {
      geodesic_sphere(r=k);
      sphere(r=k-shellThick, $fn = 30);
    }
  }
}

angleDriver = 30;  // 45

difference()
{
  domeSegment();
  translate([0,0,k*.965])rotate([0,0,-angleDriver])driver1Clear();
  
}


//translate([0,0,k*.965])rotate([0,0,-angleDriver])driver1();

